package com.mysema.commons.jetty;

import static org.junit.Assert.assertEquals;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.URL;

import org.junit.Test;

public class JettyHelperTest {

    @Test
    public void testStartJettyStringStringIntInt() throws Exception {

        JettyHelper.startJetty("src/test/webapp", "/", 9080, 9443);

        URL url = new URL("http://localhost:9080/");
        BufferedReader in = new BufferedReader(
                                new InputStreamReader(
                                url.openStream()));

        assertEquals("TEST", in.readLine());
        in.close();
        JettyHelper.stopJettyAtPort(9080);
    }
}
